scala.tools.nsc.javac.JavaScanners

# JavaTokenData

#### trait JavaTokenData extends AbstractJavaTokenData

A class for representing a token's data.

Source
  JavaScanners.scala

Linear Supertypes
AbstractJavaTokenData, AnyRef, Any
Known Subclasses
JavaScanner, JavaUnitScanner
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaTokenData
2. AbstractJavaTokenData
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type ScanPosition = Int

   Definition Classes
     JavaTokenData → AbstractJavaTokenData

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JavaTokenData to any2stringadd[JavaTokenData] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JavaTokenData, B)

   Implicit information
     This member is added by an implicit conversion from JavaTokenData to ArrowAssoc[JavaTokenData] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val NoPos: Int

   Definition Classes
     JavaTokenData → AbstractJavaTokenData

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### var base: Int

   the base of a number

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def copyFrom(td: JavaTokenData): Unit

11. #### def ensuring(cond: (JavaTokenData) ⇒ Boolean, msg: ⇒ Any): JavaTokenData

    Implicit information
      This member is added by an implicit conversion from JavaTokenData to Ensuring[JavaTokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (JavaTokenData) ⇒ Boolean): JavaTokenData

    Implicit information
      This member is added by an implicit conversion from JavaTokenData to Ensuring[JavaTokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): JavaTokenData

    Implicit information
      This member is added by an implicit conversion from JavaTokenData to Ensuring[JavaTokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): JavaTokenData

    Implicit information
      This member is added by an implicit conversion from JavaTokenData to Ensuring[JavaTokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JavaTokenData to StringFormat[JavaTokenData] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### var lastPos: Int

    the first character position after the previous token

23. #### var name: Global.TermName

    the name of an identifier or token

    the name of an identifier or token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### var pos: Int

    the token's position

    the token's position

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### var token: Int

    the next token

    the next token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (JavaTokenData, B)

    Implicit information
      This member is added by an implicit conversion from JavaTokenData to ArrowAssoc[JavaTokenData] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AbstractJavaTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavaTokenData to any2stringadd[JavaTokenData]

### Inherited by implicit conversion StringFormat from JavaTokenData to StringFormat[JavaTokenData]

### Inherited by implicit conversion Ensuring from JavaTokenData to Ensuring[JavaTokenData]

### Inherited by implicit conversion ArrowAssoc from JavaTokenData to ArrowAssoc[JavaTokenData]

### Ungrouped